curl https://api.stophy.dev/v1/crawl/active \
-H "Authorization: Bearer $STOPHY_API_KEY"
const response = await fetch("https://api.stophy.dev/v1/crawl/active", {
headers: {
Authorization: `Bearer ${process.env.STOPHY_API_KEY}`,
},
});
console.log(await response.json());
import os
import requests
response = requests.get(
"https://api.stophy.dev/v1/crawl/active",
headers={"Authorization": f"Bearer {os.environ['STOPHY_API_KEY']}"},
)
print(response.json())
{
"success": true,
"crawls": [
{
"id": "job_qqmWroHTkWk61kDjA32Q3g",
"teamId": "srPnyjCOyDwVVdi6wudlxDmh5MuO39CA",
"url": "https://bun.com/docs",
"status": "scraping",
"createdAt": "2026-11-17T17:49:57.354Z",
"options": {
"includePaths": [],
"excludePaths": [],
"sitemap": "include",
"ignoreQueryParameters": false,
"regexOnFullURL": false,
"limit": 2,
"crawlEntireDomain": false,
"deduplicateSimilarURLs": true,
"allowExternalLinks": false,
"allowSubdomains": false,
"zeroDataRetention": false
}
}
],
"costUsd": 0,
"creditsUsed": 0,
"requestId": "dbd35fc7-79b6-427d-abc5-78685ded2426"
}
Crawl
Active crawls
List your crawls that are running or waiting. Send one request and get JSON back. Examples in cURL, TypeScript and Python.
GET
/
v1
/
crawl
/
active
curl https://api.stophy.dev/v1/crawl/active \
-H "Authorization: Bearer $STOPHY_API_KEY"
const response = await fetch("https://api.stophy.dev/v1/crawl/active", {
headers: {
Authorization: `Bearer ${process.env.STOPHY_API_KEY}`,
},
});
console.log(await response.json());
import os
import requests
response = requests.get(
"https://api.stophy.dev/v1/crawl/active",
headers={"Authorization": f"Bearer {os.environ['STOPHY_API_KEY']}"},
)
print(response.json())
{
"success": true,
"crawls": [
{
"id": "job_qqmWroHTkWk61kDjA32Q3g",
"teamId": "srPnyjCOyDwVVdi6wudlxDmh5MuO39CA",
"url": "https://bun.com/docs",
"status": "scraping",
"createdAt": "2026-11-17T17:49:57.354Z",
"options": {
"includePaths": [],
"excludePaths": [],
"sitemap": "include",
"ignoreQueryParameters": false,
"regexOnFullURL": false,
"limit": 2,
"crawlEntireDomain": false,
"deduplicateSimilarURLs": true,
"allowExternalLinks": false,
"allowSubdomains": false,
"zeroDataRetention": false
}
}
],
"costUsd": 0,
"creditsUsed": 0,
"requestId": "dbd35fc7-79b6-427d-abc5-78685ded2426"
}
Price
Free. See Pricing.curl https://api.stophy.dev/v1/crawl/active \
-H "Authorization: Bearer $STOPHY_API_KEY"
const response = await fetch("https://api.stophy.dev/v1/crawl/active", {
headers: {
Authorization: `Bearer ${process.env.STOPHY_API_KEY}`,
},
});
console.log(await response.json());
import os
import requests
response = requests.get(
"https://api.stophy.dev/v1/crawl/active",
headers={"Authorization": f"Bearer {os.environ['STOPHY_API_KEY']}"},
)
print(response.json())
{
"success": true,
"crawls": [
{
"id": "job_qqmWroHTkWk61kDjA32Q3g",
"teamId": "srPnyjCOyDwVVdi6wudlxDmh5MuO39CA",
"url": "https://bun.com/docs",
"status": "scraping",
"createdAt": "2026-11-17T17:49:57.354Z",
"options": {
"includePaths": [],
"excludePaths": [],
"sitemap": "include",
"ignoreQueryParameters": false,
"regexOnFullURL": false,
"limit": 2,
"crawlEntireDomain": false,
"deduplicateSimilarURLs": true,
"allowExternalLinks": false,
"allowSubdomains": false,
"zeroDataRetention": false
}
}
],
"costUsd": 0,
"creditsUsed": 0,
"requestId": "dbd35fc7-79b6-427d-abc5-78685ded2426"
}